Page MenuHomePhabricator

[mlir][Pattern] Add a new FrozenRewritePatternList class
ClosedPublic

Authored by rriddle on Oct 9 2020, 1:54 AM.

Details

Summary

This class represents a rewrite pattern list that has been frozen, and thus immutable. This replaces the uses of OwningRewritePatternList in pattern driver related API, such as dialect conversion. When PDL becomes more prevalent, this API will allow for optimizing a set of patterns once without the need to do this per run of a pass.

Depends On D89103

Diff Detail

Event Timeline

rriddle created this revision.Oct 9 2020, 1:54 AM
rriddle requested review of this revision.Oct 9 2020, 1:54 AM
ftynse accepted this revision.Oct 19 2020, 9:36 AM
This revision is now accepted and ready to land.Oct 19 2020, 9:36 AM
This revision was landed with ongoing or failed builds.Oct 26 2020, 6:05 PM
This revision was automatically updated to reflect the committed changes.